<app-mpickup-view-layout class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <template #headerTop>
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Top_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    </template>
    <template #contentTop>
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Body_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    </template>
    <template #default>
    <div class="translate-contant">
                <div class="center" :style="{width : !isShowButton ? '100%' : ''}">
                <#if view.hasPSControl('pickupviewpanel')>
                    <@ibizindent blank=20>
                        ${P.getCtrlCode('pickupviewpanel', 'CONTROL.html').code}<#t>
                    </@ibizindent>
                </#if>
                </div>
                <div v-if="isShowButton" class="translate-buttons">
                    <div class="buttons">
                        <i-button type="primary" :title="containerModel.view_rightbtn.text"
                            :disabled="containerModel.view_rightbtn.disabled"
                            @click="onCLickRight">
                            <i class="el-icon-arrow-right"></i>
                        </i-button>
                        <i-button type="primary" :title="containerModel.view_leftbtn.text"
                            :disabled="containerModel.view_leftbtn.disabled"
                            @click="onCLickLeft">
                            <i class="el-icon-arrow-left"></i>
                        </i-button>
                        <i-button type="primary" :title="containerModel.view_allrightbtn.text"
                            @click="onCLickAllRight">
                            <i class="el-icon-d-arrow-right"></i>
                        </i-button>
                        <i-button type="primary" :title="containerModel.view_allleftbtn.text"
                            @click="onCLickAllLeft">
                            <i class="el-icon-d-arrow-left"></i>
                        </i-button>
                    </div>
                    </div>
                    <div v-if="isShowButton" class="right">
                        <div class="mpicker-select">
                            <div v-for="(item, index) in viewSelections" :key="index" :class="item._select ? 'select' : ''" @click="selectionsClick(item)" @dblclick="selectionsDBLClick(item)">
                                <span>{{item.srfmajortext}}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </template>
    <template #contentBottom>
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    </template>
    <template #footer v-if="isShowButton">
        <row :style="{ textAlign: 'right' }" class="footer">
            <i-button type="primary"  :disabled="viewSelections.length > 0 ? false : true" @click="onClickOk">{{containerModel.view_okbtn.text}}</i-button>
            <i-button @click="onClickCancel">{{containerModel.view_cancelbtn.text}}</i-button>
        </row>
    </template>
</app-mpickup-view-layout>