<#--  <#if view.isBlankMode()>
<div class="index_view ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-keep-alive :routerList="getRouterList">
        <router-view :key="getRouterViewKey"></router-view>
    </app-keep-alive>
</div>
<#else>  -->
<#if view.getMainMenuAlign()=="TOP">
    <app-index-view-layout-top :class="{ [themeClasses]: true, '${srffilepath2(view.getCodeName())}': true<#if view.getPSSysCss?? && view.getPSSysCss()??>, '${view.getPSSysCss().getCssName()}': true</#if> }" :style="themeStyle">
            <template #headerLeft>
                <img class="app-icon" src="../../../assets/img/logo.png" />
                <span class="app-caption">{{$t(model.srfCaption)}}</span>
            </template>
            <template #headerRight>
                ${P.getCtrlCode('appmenu', 'CONTROL.html').code}
                <app-user></app-user>
                <app-message-popover></app-message-popover>
                <app-help></app-help>
                <app-lang></app-lang>
            </template>
            <template #navPos>
                <router-view></router-view>
            </template>
    </app-index-view-layout-top>
<#else>
    <app-index-view-layout-left :navModel="navModel" :collapseChange="collapseChange" :class="{ [themeClasses]: true, '${srffilepath2(view.getCodeName())}': true<#if view.getPSSysCss?? && view.getPSSysCss()??>, '${view.getPSSysCss().getCssName()}': true</#if> }" :style="themeStyle">
        <template #siderTop>
            <#if view.getAppIconPath() != "">
                <img v-show="collapseChange" v-if="isEnableAppSwitch" src="${view.getAppIconPath()}" height="16" @click="contextMenuDragVisiable=!contextMenuDragVisiable" />
                <#else>
                <span class="menuicon" v-if="isEnableAppSwitch" @click="contextMenuDragVisiable=!contextMenuDragVisiable"><Icon type="md-menu" /></span>
            </#if>
                <span v-show="!collapseChange">{{$t(model.srfCaption)}}</span>
        </template>
        <template #siderContent>
            ${P.getCtrlCode('appmenu', 'CONTROL.html').code}
            <context-menu-drag v-if="isEnableAppSwitch" :contextMenuDragVisiable="contextMenuDragVisiable"></context-menu-drag>
        </template>
        <template #headerLeft>
            <i v-show="!collapseChange" class="ivu-icon el-icon-s-fold" @click="handleClick"></i>
            <i v-show="collapseChange" class="ivu-icon el-icon-s-unfold" @click="handleClick"></i>
            <app-breadcrumb  :navModel="navModel" indexViewTag="${srffilepath2(view.getCodeName())}"></app-breadcrumb>
        </template>
        <template #headerRight>
            <app-user></app-user>
            <app-message-popover></app-message-popover>
            <app-help></app-help>
            <app-lang></app-lang>
        </template>
        <template #tabPageExp>
            <tab-page-exp v-if="Object.is(navModel,'tab')"></tab-page-exp>
        </template>
        <template #navPos>
            <app-keep-alive :routerList="getRouterList">
                <router-view :key="getRouterViewKey"></router-view>
            </app-keep-alive>
        </template>
    </app-index-view-layout-left>
</#if>
<#--  </#if>  -->
