<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<dropdown-list-mpicker 
    :value="layoutData.${editor.name}"
    :data="layoutData" 
    :context="context"
    :viewparams="viewparams" 
    :localContext=<@getNavigateContext editor />
    :localParam=<@getNavigateParams editor />
    :disabled="layoutModelDetails.${editor.name}.disabled" 
    <#if editor.getPSCodeList()??>
    <#assign codelist=editor.getPSCodeList()>
    tag="${codelist.codeName}"
    codelistType="${codelist.getCodeListType()}" 
        <#if codelist.valueSeparator?has_content>
    valueSeparator="${codelist.valueSeparator}"
        </#if>
    </#if> 
    placeholder=<#if item.getPlaceHolder()??>'${item.getPlaceHolder()}'<#else>'请选择...'</#if> 
    style="${editor.getEditorCssStyle()}"
    @change="(value) => handleValueChange({ name: '${editor.name}', value})">
</dropdown-list-mpicker>
</#if>